summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'net-misc/adjtimex/files/adjtimex.init')
-rw-r--r--net-misc/adjtimex/files/adjtimex.init35
1 files changed, 35 insertions, 0 deletions
diff --git a/net-misc/adjtimex/files/adjtimex.init b/net-misc/adjtimex/files/adjtimex.init
new file mode 100644
index 000000000000..8586deb12c6c
--- /dev/null
+++ b/net-misc/adjtimex/files/adjtimex.init
@@ -0,0 +1,35 @@
+#!/sbin/runscript
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+DAEMON=adjtimex
+OPTS="--tick ${TICK} --frequency ${FREQ}"
+CONFD="/etc/conf.d/${DAEMON}"
+
+depend() {
+ before ntp-client ntpd
+ need localmount
+}
+
+checkconfig() {
+ if [ ! -f "${CONFD}" ]; then
+ eerror "Configuration file not found!"
+ eerror "You must run adjtimexconfig to create it."
+ return 1
+ fi
+}
+
+
+start() {
+ checkconfig || return 1
+ ebegin "Regulating system clock with ${DAEMON}..."
+ /usr/sbin/${DAEMON} ${OPTS}
+ eend $?
+}
+
+stop() {
+ :
+}
+
+# vim: ts=4 sw=4 ft=gentoo-init-d: